Description

Hi!

3D models are break in 2.1.x version. They are rendered as a 2D planes (look at the Player weapon on top and the monsters at the
floor)

They work very well in 2.0.0

My sistem:
Debian GNU/Linux Testing

Doomsday - official packages from the download section
3D info:

Intel integrated GPU - Mesa DRI Intel Haswell

Version - 3.0 Mesa 18.1.9

The Heretic and Hexen 3D models works totally fine.

Thanks a lot.

History

#1 - 2018-12-24 19:10 - jesusda

In addition, | sent you a screenshot of the Main Menu. The options are not correct rendered when not selected. They are rendered as black while in
Doomsday 2.0 they work as fine.

#2 - 2018-12-30 16:30 - skyjake
This might be explained by incompatibility with your OpenGL driver. Doomsday 2.1 requires OpenGL 3.3. Does you graphics driver support it?

#3 - 2018-12-30 21:59 - jesusda

skyjake wrote:

This might be explained by incompatibility with your OpenGL driver. Doomsday 2.1 requires OpenGL 3.3. Does you graphics driver support it?

| think yes:

$ — glxinfo | grep OpenGL

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Haswell Desktop
OpenGL core profile version string: 4.5 (Core Profile) Mesa 18.1.9
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)

OpenGL core profile profile mask: core profile

OpenGL core profile extensions:

OpenGL version string: 3.0 Mesa 18.1.9

OpenGL shading language version string: 1.30

OpenGL context flags: (none)

OpenGL extensions:

OpenGL ES profile version string: OpenGL ES 3.1 Mesa 18.1.9
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10

The "core profile" is 4.5, but "version string" is 3.0.

Is this correct?
Thanks a lot!
#4 - 2018-12-30 22:10 - skyjake
According to that information, OpenGL 3.3 Core Profile (that is used by Doomsday 2.1) should be supported, yes.
Another possible issue could be the locale settings. Does anything change if you start doomsday with the LC_NUMERIC=C environment variable?
#5 - 2018-12-31 01:25 - jesusda
- File Captura de pantalla_2018-12-31_00-23-46.png added
skyjake wrote:
According to that information, OpenGL 3.3 Core Profile (that is used by Doomsday 2.1) should be supported, yes.
Another possible issue could be the locale settings. Does anything change if you start doomsday with the LC_NUMERIC=C environment
variable?
Doing some testing:

With doomsday 2.0 the problem appears in some 3d objetcts (see the screenshot).
I'll try with latest version and I'll tell you.

#6 - 2018-12-31 11:08 - jesusda
- File doom1-000.png added
jesusda wrote:
skyjake wrote:
According to that information, OpenGL 3.3 Core Profile (that is used by Doomsday 2.1) should be supported, yes.

Another possible issue could be the locale settings. Does anything change if you start doomsday with the LC_NUMERIC=C environment
variable?

With LC_NUMERIC=C and Doomsday 2.1.1 all works fine!
Thanks a lot Skyjake!!!

#7 - 2018-12-31 11:19 - jesusda
- File heretic-000.png added

... but sadly, HERETIC and HEXEN now fails!!!
(

How can be this possible?

#8 - 2018-12-31 11:34 - jesusda

- File heretic-001.png added

Finally, | think | have the solution:

+ LC_NUMERIC=C

+ Doomsday 2.1.1

+ CLEAN ALL DATA from ~/.doomsday/runtime/configs
Finally, all work as expected!

Thanks a lot!

#9 - 2019-01-04 13:31 - skyjake

- Subject changed from 3D Doom and Doom Il models break in doomsday 2.1.x to 3D Doom and Doom Il models break in doomsday 2.1.x (env
LC_NUMERIC)
#10 - 2019-10-14 10:29 - skyjake

- Status changed from New to Closed
